ResourceHubForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.hub.ResourceHubForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.hub
Class ResourceHubForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.hub.ResourceHubForm

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceHubForm

extends BaseValidatorForm

Form for fetching and working with the set of resources for the Resource Hub.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ANY_FLAG_PARAM`
`static java.lang.String` | `CHART_VIEW`
`static java.lang.String` | `ENTITY_TYPE_ID_PARAM`
`static java.lang.String` | `GROUP_ID_PARAM`
`static java.lang.String` | `GROUP_TYPE_ID_PARAM`
`static java.lang.String` | `KEYWORDS_PARAM`
`static java.lang.String` | `LIST_VIEW`
`static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `OWNER_FLAG_PARAM`
`static java.lang.String` | `RESOURCE_TYPE_ID_PARAM`
`static java.lang.String` | `UNAVAILABLE_FLAG_PARAM`
`static java.lang.String` | `VIEW_PARAM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ResourceHubForm()`

Method Summary
`void` | `addFunction(org.apache.struts.util.LabelValueBean b)`
`void` | `addType(org.apache.struts.util.LabelValueBean b)`
`org.apache.struts.util.ImageButtonBean` | `getDisableAlerts()`
`org.apache.struts.util.ImageButtonBean` | `getEnableAlerts()`
`java.lang.Integer` | `getFf()`
`java.lang.String` | `getFg()`
`java.lang.String` | `getFt()`
`java.util.List` | `getFunctions()`
`java.lang.Integer` | `getG()`
`org.apache.struts.util.ImageButtonBean` | `getGroup()`
`java.lang.String` | `getKeywords()`
`java.lang.String[]` | `getResources()`
`java.util.List` | `getTypes()`
`java.lang.String` | `getView()`
`boolean` | `isAny()`
`boolean` | `isGroupClicked()`
`boolean` | `isOwn()`
`boolean` | `isUnavail()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAny(boolean any)`
`void` | `setDisableAlerts(org.apache.struts.util.ImageButtonBean disableAlerts)`
`void` | `setEnableAlerts(org.apache.struts.util.ImageButtonBean enableAlerts)`
`void` | `setFf(java.lang.Integer ff)`
`void` | `setFg(java.lang.String fg)`
`void` | `setFt(java.lang.String ft)`
`void` | `setFunctions(java.util.List functions)`
`void` | `setG(java.lang.Integer g)`
`void` | `setGroup(org.apache.struts.util.ImageButtonBean group)`
`void` | `setKeywords(java.lang.String keywords)`
`void` | `setOwn(boolean own)`
`void` | `setResources(java.lang.String[] resources)`
`void` | `setTypes(java.util.List types)`
`void` | `setUnavail(boolean unavail)`
`void` | `setView(java.lang.String view)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    public static final org.apache.commons.logging.Log log

### CHART_VIEW

    public static final java.lang.String CHART_VIEW

See Also:
  Constant Field Values

### LIST_VIEW

    public static final java.lang.String LIST_VIEW

See Also:
  Constant Field Values

### ENTITY_TYPE_ID_PARAM

    public static final java.lang.String ENTITY_TYPE_ID_PARAM

See Also:
  Constant Field Values

### RESOURCE_TYPE_ID_PARAM

    public static final java.lang.String RESOURCE_TYPE_ID_PARAM

See Also:
  Constant Field Values

### GROUP_TYPE_ID_PARAM

    public static final java.lang.String GROUP_TYPE_ID_PARAM

See Also:
  Constant Field Values

### GROUP_ID_PARAM

    public static final java.lang.String GROUP_ID_PARAM

See Also:
  Constant Field Values

### KEYWORDS_PARAM

    public static final java.lang.String KEYWORDS_PARAM

See Also:
  Constant Field Values

### VIEW_PARAM

    public static final java.lang.String VIEW_PARAM

See Also:
  Constant Field Values

### ANY_FLAG_PARAM

    public static final java.lang.String ANY_FLAG_PARAM

See Also:
  Constant Field Values

### OWNER_FLAG_PARAM

    public static final java.lang.String OWNER_FLAG_PARAM

See Also:
  Constant Field Values

### UNAVAILABLE_FLAG_PARAM

    public static final java.lang.String UNAVAILABLE_FLAG_PARAM

See Also:
  Constant Field Values

Constructor Detail

### ResourceHubForm

    public ResourceHubForm()

Method Detail

### getFf

    public java.lang.Integer getFf()

### setFf

    public void setFf(java.lang.Integer ff)

### getFt

    public java.lang.String getFt()

### setFt

    public void setFt(java.lang.String ft)

### getFunctions

    public java.util.List getFunctions()

### setFunctions

    public void setFunctions(java.util.List functions)

### addFunction

    public void addFunction(org.apache.struts.util.LabelValueBean b)

### getG

    public java.lang.Integer getG()

### setG

    public void setG(java.lang.Integer g)

### getResources

    public java.lang.String[] getResources()

### setResources

    public void setResources(java.lang.String[] resources)

### getTypes

    public java.util.List getTypes()

### setTypes

    public void setTypes(java.util.List types)

### addType

    public void addType(org.apache.struts.util.LabelValueBean b)

### setKeywords

    public void setKeywords(java.lang.String keywords)

### getKeywords

    public java.lang.String getKeywords()

### getView

    public java.lang.String getView()

### setView

    public void setView(java.lang.String view)

### getGroup

    public org.apache.struts.util.ImageButtonBean getGroup()

### setGroup

    public void setGroup(org.apache.struts.util.ImageButtonBean group)

### isGroupClicked

    public boolean isGroupClicked()

### getEnableAlerts

    public org.apache.struts.util.ImageButtonBean getEnableAlerts()

### setEnableAlerts

    public void setEnableAlerts(org.apache.struts.util.ImageButtonBean enableAlerts)

### getDisableAlerts

    public org.apache.struts.util.ImageButtonBean getDisableAlerts()

### setDisableAlerts

    public void setDisableAlerts(org.apache.struts.util.ImageButtonBean disableAlerts)

### getFg

    public java.lang.String getFg()

### setFg

    public void setFg(java.lang.String fg)

### isAny

    public boolean isAny()

### setAny

    public void setAny(boolean any)

### isOwn

    public boolean isOwn()

### setOwn

    public void setOwn(boolean own)

### isUnavail

    public boolean isUnavail()

### setUnavail

    public void setUnavail(boolean unavail)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.